import axios from 'axios';
import Cookies from 'js-cookie';

export const createAnnotation = async (annotation) => {
	const sessionCookie = Cookies.get('FTSession_s');

	if (!sessionCookie) {
		const url = new URL('login', 'https://accounts.ft.com');
		
		url.searchParams.append('location', window.location.href);
		
		return window.location.replace(url.toString());
	}

	try {
		const placeholderBody = {
			bodyType: 'TextualBody',
			bodyValue: '',
		};
	
		const data = await axios.post(
			`${process.env.ANNOTATIONS_API}`,
			{
				target: annotation,
				body: placeholderBody,
			},
			{
				withCredentials: true,
			},
		);
		return data;
	} catch (error) {
		throw new Error(error);
	}
};
