import axios from 'axios';
import fetchAnnotationsData from './fetchAnnotationsData';

jest.mock('axios');

describe('fetchAnnotationsData', () => {
	describe('when API call is successful', () => {
		it('should return annotation data', async () => {
			const annotation = [
				{
					'id': '7654900b-2fab-4b5c-aed4-7ffa43a2125b',
					'author': '13db924b-a49b-4c75-97d4-62a7327af9b2',
					'publishedAt': '2022-08-11T13:38:29.003Z',
					'targetArticleId': '8e07e16e-2b56-4c6a-a8ab-60d07060f542',
					'targetPrefix': 'narrow%20victory',
					'targetRoot': 'strong%20challenge',
					'targetSuffix': '%20has',
					'bodyType': 'TextualBody',
					'bodyValue': 'Look%20at%20this!',
					'isPublished': true
				}
			];
			axios.get.mockImplementation(() => Promise.resolve({ data: annotation }));

			const url = 'https://local.ft.com:5050/content/8e07e16e-2b56-4c6a-a8ab-60d07060f542?annotations=true';
			
			fetchAnnotationsData(url);

			expect(axios.get).toHaveBeenCalledWith(`${process.env.ANNOTATIONS_API}/me?article=8e07e16e-2b56-4c6a-a8ab-60d07060f542`, {'withCredentials': true} );
			expect(fetchAnnotationsData(url)).resolves.toEqual(annotation);
		});
	});
});
